<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ReadOnlySharedStringsTable (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ReadOnlySharedStringsTable (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":42,"i4":10,"i5":42,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ReadOnlySharedStringsTable.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFBReader.html"
               title="class in org.apache.poi.xssf.eventusermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html"
               target="_top">Frames</a></li>
        <li><a href="ReadOnlySharedStringsTable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.eventusermodel</div>
    <h2 title="Class ReadOnlySharedStringsTable" class="title">Class ReadOnlySharedStringsTable</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.xml.sax.helpers.DefaultHandler</li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xssf.eventusermodel.ReadOnlySharedStringsTable</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                           title="interface in org.apache.poi.xssf.model">SharedStrings</a>, org.xml.sax.ContentHandler,
                        org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">ReadOnlySharedStringsTable</span>
extends org.xml.sax.helpers.DefaultHandler
implements <a href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
              title="interface in org.apache.poi.xssf.model">SharedStrings</a></pre>
                <div class="block"><p>This is a lightweight way to process the Shared Strings
                    table. Most of the text cells will reference something
                    from in here.
                    <p>Note that each SI entry can have multiple T elements, if the
                        string is made up of bits with different formatting.
                    <p>Example input:
                    <pre>
&lt;?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
&lt;sst xmlns="http://schemas.openxmlformats.org/spreadsheetml/2006/main" count="2" uniqueCount="2">
 &lt;si>
   &lt;r>
     &lt;rPr>
       &lt;b />
       &lt;sz val="11" />
       &lt;color theme="1" />
       &lt;rFont val="Calibri" />
       &lt;family val="2" />
       &lt;scheme val="minor" />
     &lt;/rPr>
     &lt;t>This:&lt;/t>
   &lt;/r>
   &lt;r>
     &lt;rPr>
       &lt;sz val="11" />
       &lt;color theme="1" />
       &lt;rFont val="Calibri" />
       &lt;family val="2" />
       &lt;scheme val="minor" />
     &lt;/rPr>
     &lt;t xml:space="preserve">Causes Problems&lt;/t>
   &lt;/r>
 &lt;/si>
 &lt;si>
   &lt;t>This does not&lt;/t>
 &lt;/si>
&lt;/sst>
 </pre>
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html#count">count</a></span></code>
                                    <div class="block">An integer representing the total count of strings in the
                                        workbook.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html#includePhoneticRuns">includePhoneticRuns</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html#uniqueCount">uniqueCount</a></span></code>
                                    <div class="block">An integer representing the total count of unique strings in the
                                        Shared String Table.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html#ReadOnlySharedStringsTable-org.apache.poi.openxml4j.opc.OPCPackage-">ReadOnlySharedStringsTable</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;pkg)</code>
                                    <div class="block">Calls {<a
                                            href="../../../../../org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html#ReadOnlySharedStringsTable-org.apache.poi.openxml4j.opc.OPCPackage-boolean-"><code>ReadOnlySharedStringsTable(OPCPackage,
                                        boolean)</code></a>} with
                                        a value of <code>true</code> for including phonetic runs
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html#ReadOnlySharedStringsTable-org.apache.poi.openxml4j.opc.OPCPackage-boolean-">ReadOnlySharedStringsTable</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;pkg,
                                    boolean&nbsp;includePhoneticRuns)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html#ReadOnlySharedStringsTable-org.apache.poi.openxml4j.opc.PackagePart-">ReadOnlySharedStringsTable</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)</code>
                                    <div class="block">Like POIXMLDocumentPart constructor

                                        Calls <a
                                                href="../../../../../org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html#ReadOnlySharedStringsTable-org.apache.poi.openxml4j.opc.PackagePart-boolean-"><code>ReadOnlySharedStringsTable(PackagePart,
                                            boolean)</code></a>, with a
                                        value of <code>true</code> to include phonetic runs.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html#ReadOnlySharedStringsTable-org.apache.poi.openxml4j.opc.PackagePart-boolean-">ReadOnlySharedStringsTable</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part,
                                    boolean&nbsp;includePhoneticRuns)</code>
                                    <div class="block">Like POIXMLDocumentPart constructor</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html#characters-char:A-int-int-">characters</a></span>(char[]&nbsp;ch,
                                    int&nbsp;start,
                                    int&nbsp;length)</code>
                                    <div class="block">Captures characters only if a t(ext) element is open.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html#endElement-java.lang.String-java.lang.String-java.lang.String-">endElement</a></span>(java.lang.String&nbsp;uri,
                                    java.lang.String&nbsp;localName,
                                    java.lang.String&nbsp;name)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html#getCount--">getCount</a></span>()</code>
                                    <div class="block">Return an integer representing the total count of strings in the
                                        workbook.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html#getEntryAt-int-">getEntryAt</a></span>(int&nbsp;idx)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use <code>getItemAt</code> instead</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                        title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html#getItemAt-int-">getItemAt</a></span>(int&nbsp;idx)</code>
                                    <div class="block">Return a string item by index</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html#getItems--">getItems</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use <code>getItemAt</code> instead</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html#getUniqueCount--">getUniqueCount</a></span>()</code>
                                    <div class="block">Returns an integer representing the total count of unique strings
                                        in the Shared String Table.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html#readFrom-java.io.InputStream-">readFrom</a></span>(java.io.InputStream&nbsp;is)</code>
                                    <div class="block">Read this shared strings table from an XML file.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html#startElement-java.lang.String-java.lang.String-java.lang.String-org.xml.sax.Attributes-">startElement</a></span>(java.lang.String&nbsp;uri,
                                    java.lang.String&nbsp;localName,
                                    java.lang.String&nbsp;name,
                                    org.xml.sax.Attributes&nbsp;attributes)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.xml.sax.helpers.DefaultHandler">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.xml.sax.helpers.DefaultHandler</h3>
                                <code>endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace,
                                    notationDecl, processingInstruction, resolveEntity, setDocumentLocator,
                                    skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning</code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="includePhoneticRuns">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>includePhoneticRuns</h4>
                                <pre>protected final&nbsp;boolean includePhoneticRuns</pre>
                            </li>
                        </ul>
                        <a name="count">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>count</h4>
                                <pre>protected&nbsp;int count</pre>
                                <div class="block">An integer representing the total count of strings in the workbook.
                                    This count does not
                                    include any numbers, it counts only the total of text strings in the workbook.
                                </div>
                            </li>
                        </ul>
                        <a name="uniqueCount">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>uniqueCount</h4>
                                <pre>protected&nbsp;int uniqueCount</pre>
                                <div class="block">An integer representing the total count of unique strings in the
                                    Shared String Table.
                                    A string is unique even if it is a copy of another string, but has different
                                    formatting applied
                                    at the character level.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ReadOnlySharedStringsTable-org.apache.poi.openxml4j.opc.OPCPackage-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ReadOnlySharedStringsTable</h4>
                                <pre>public&nbsp;ReadOnlySharedStringsTable(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;pkg)
                           throws java.io.IOException,
                                  org.xml.sax.SAXException</pre>
                                <div class="block">Calls {<a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html#ReadOnlySharedStringsTable-org.apache.poi.openxml4j.opc.OPCPackage-boolean-"><code>ReadOnlySharedStringsTable(OPCPackage,
                                    boolean)</code></a>} with
                                    a value of <code>true</code> for including phonetic runs
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pkg</code> - The <a
                                            href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                            title="class in org.apache.poi.openxml4j.opc"><code>OPCPackage</code></a> to
                                        use as basis for the shared-strings table.
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - If reading the data from the package fails.
                                    </dd>
                                    <dd><code>org.xml.sax.SAXException</code> - if parsing the XML data fails.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ReadOnlySharedStringsTable-org.apache.poi.openxml4j.opc.OPCPackage-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ReadOnlySharedStringsTable</h4>
                                <pre>public&nbsp;ReadOnlySharedStringsTable(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;pkg,
                                  boolean&nbsp;includePhoneticRuns)
                           throws java.io.IOException,
                                  org.xml.sax.SAXException</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pkg</code> - The <a
                                            href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                            title="class in org.apache.poi.openxml4j.opc"><code>OPCPackage</code></a> to
                                        use as basis for the shared-strings table.
                                    </dd>
                                    <dd><code>includePhoneticRuns</code> - whether or not to concatenate phoneticRuns
                                        onto the shared string
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - If reading the data from the package fails.
                                    </dd>
                                    <dd><code>org.xml.sax.SAXException</code> - if parsing the XML data fails.</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.14-Beta3</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ReadOnlySharedStringsTable-org.apache.poi.openxml4j.opc.PackagePart-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ReadOnlySharedStringsTable</h4>
                                <pre>public&nbsp;ReadOnlySharedStringsTable(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)
                           throws java.io.IOException,
                                  org.xml.sax.SAXException</pre>
                                <div class="block">Like POIXMLDocumentPart constructor

                                    Calls <a
                                            href="../../../../../org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html#ReadOnlySharedStringsTable-org.apache.poi.openxml4j.opc.PackagePart-boolean-"><code>ReadOnlySharedStringsTable(PackagePart,
                                        boolean)</code></a>, with a
                                    value of <code>true</code> to include phonetic runs.
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dd><code>org.xml.sax.SAXException</code></dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.14-Beta1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ReadOnlySharedStringsTable-org.apache.poi.openxml4j.opc.PackagePart-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ReadOnlySharedStringsTable</h4>
                                <pre>public&nbsp;ReadOnlySharedStringsTable(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part,
                                  boolean&nbsp;includePhoneticRuns)
                           throws java.io.IOException,
                                  org.xml.sax.SAXException</pre>
                                <div class="block">Like POIXMLDocumentPart constructor</div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dd><code>org.xml.sax.SAXException</code></dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.14-Beta3</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="readFrom-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readFrom</h4>
                                <pre>public&nbsp;void&nbsp;readFrom(java.io.InputStream&nbsp;is)
              throws java.io.IOException,
                     org.xml.sax.SAXException</pre>
                                <div class="block">Read this shared strings table from an XML file.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>is</code> - The input stream containing the XML document.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an error occurs while reading.</dd>
                                    <dd><code>org.xml.sax.SAXException</code> - if parsing the XML data fails.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCount--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCount</h4>
                                <pre>public&nbsp;int&nbsp;getCount()</pre>
                                <div class="block">Return an integer representing the total count of strings in the
                                    workbook. This count does not
                                    include any numbers, it counts only the total of text strings in the workbook.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/model/SharedStrings.html#getCount--">getCount</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                                                title="interface in org.apache.poi.xssf.model">SharedStrings</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the total count of strings in the workbook</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getUniqueCount--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUniqueCount</h4>
                                <pre>public&nbsp;int&nbsp;getUniqueCount()</pre>
                                <div class="block">Returns an integer representing the total count of unique strings in
                                    the Shared String Table.
                                    A string is unique even if it is a copy of another string, but has different
                                    formatting applied
                                    at the character level.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/model/SharedStrings.html#getUniqueCount--">getUniqueCount</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                                                title="interface in org.apache.poi.xssf.model">SharedStrings</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the total count of unique strings in the workbook</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEntryAt-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEntryAt</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Removal.html"
                                        title="annotation in org.apache.poi.util">@Removal</a>(<a
                                        href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
 @Deprecated
public&nbsp;java.lang.String&nbsp;getEntryAt(int&nbsp;idx)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <code>getItemAt</code> instead</span></div>
                                <div class="block">Return the string at a given index.
                                    Formatting is ignored.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>idx</code> - index of item to return.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the item at the specified position in this Shared String table.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getItems--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getItems</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Removal.html"
                                        title="annotation in org.apache.poi.util">@Removal</a>(<a
                                        href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
 @Deprecated
public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;getItems()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <code>getItemAt</code> instead</span></div>
                                <div class="block">Returns all the strings.
                                    Formatting is ignored.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a list with all the strings</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getItemAt-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getItemAt</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                        title="interface in org.apache.poi.ss.usermodel">RichTextString</a>&nbsp;getItemAt(int&nbsp;idx)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStrings.html#getItemAt-int-">SharedStrings</a></code></span>
                                </div>
                                <div class="block">Return a string item by index</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/model/SharedStrings.html#getItemAt-int-">getItemAt</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                                                title="interface in org.apache.poi.xssf.model">SharedStrings</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>idx</code> - index of item to return.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the item at the specified position in this Shared String table.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="startElement-java.lang.String-java.lang.String-java.lang.String-org.xml.sax.Attributes-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>startElement</h4>
                                <pre>public&nbsp;void&nbsp;startElement(java.lang.String&nbsp;uri,
                         java.lang.String&nbsp;localName,
                         java.lang.String&nbsp;name,
                         org.xml.sax.Attributes&nbsp;attributes)
                  throws org.xml.sax.SAXException</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>startElement</code>&nbsp;in interface&nbsp;<code>org.xml.sax.ContentHandler</code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>startElement</code>&nbsp;in class&nbsp;<code>org.xml.sax.helpers.DefaultHandler</code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>org.xml.sax.SAXException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="endElement-java.lang.String-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>endElement</h4>
                                <pre>public&nbsp;void&nbsp;endElement(java.lang.String&nbsp;uri,
                       java.lang.String&nbsp;localName,
                       java.lang.String&nbsp;name)
                throws org.xml.sax.SAXException</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>endElement</code>&nbsp;in
                                        interface&nbsp;<code>org.xml.sax.ContentHandler</code></dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>endElement</code>&nbsp;in class&nbsp;<code>org.xml.sax.helpers.DefaultHandler</code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>org.xml.sax.SAXException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="characters-char:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>characters</h4>
                                <pre>public&nbsp;void&nbsp;characters(char[]&nbsp;ch,
                       int&nbsp;start,
                       int&nbsp;length)
                throws org.xml.sax.SAXException</pre>
                                <div class="block">Captures characters only if a t(ext) element is open.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>characters</code>&nbsp;in
                                        interface&nbsp;<code>org.xml.sax.ContentHandler</code></dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>characters</code>&nbsp;in class&nbsp;<code>org.xml.sax.helpers.DefaultHandler</code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>org.xml.sax.SAXException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ReadOnlySharedStringsTable.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFBReader.html"
               title="class in org.apache.poi.xssf.eventusermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/eventusermodel/ReadOnlySharedStringsTable.html"
               target="_top">Frames</a></li>
        <li><a href="ReadOnlySharedStringsTable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
